Update merchant user
Partially updates an existing merchant user’s information including personal details, address, communication preferences, and status
PATCH
/api/v1/{team_slug}/{app_slug}/merchant-users/{user_id}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
user_idstringrequiredMerchant user ID
Request body
requiredapplication/jsonUpdated merchant user details
additionsobjectaddressinternal_pkg_webserver_v1.PatchAddressInputShow propertiesHide properties
citystringcountrystringcountry_codestringstreetstringzip_codestringcommentstringcommunication_preferencesinternal_pkg_webserver_v1.PatchPermissionsInputShow propertiesHide properties
allow_emailbooleanallow_postalbooleanallow_smsbooleancustomer_group_idsstring[]emailstringemail_verifiedbooleanis_super_adminbooleanlanguagestringmin length 1
marketstringmin length 1
namestringmin length 1
phone_numberstringstatusstringAllowed:
activeinactivependingstore_groupstringmin length 1
surnamestringmin length 1
third_party_sign_upbooleanResponses
200
Updated merchant user
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantUserrequiredShow propertiesHide properties
additionsobject | nulladdressgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AddressShow propertiesHide properties
citystringcountrystringcountry_codestringstreetstringzip_codestringaddress_restrictionsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationAddressRestriction[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationAddressRestrictionaddress_idstringformatted_addressstringorganisation_idstringorganisation_namestringorganisation_numberstring | nullapp_idstringattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringnamegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nullcommentstringcommunication_preferencesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CommunicationPreferencesShow propertiesHide properties
allow_emailbooleanallow_postalbooleanallow_smsbooleancreated_atstringcustomer_groupsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRefidstringnamestringslugstringemailstringemail_verification_sent_atstring | nullemail_verifiedbooleanidstringis_super_adminbooleanlanguagestring | nullmarketstringnamestring | nullorganisationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantOrganizationDetails[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantOrganizationDetailscustom_role_idstringcustom_role_namestringcustom_role_slugstringidstringlevelstringnamestringorganisation_numberstring | nullphone_numberstringstatusstringstore_groupstringsurnamestring | nulltagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Tag[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Tagattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullcreated_atstringfilterablebooleanidstringkeystringmarketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Marketactivebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nullnamestringschedulesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Jobadd_category_namesstring[]add_collection_namesstring[]add_tag_namesstring[]execute_atstringDate when the job should run
finished_atstring | nullIf a job is finished will this timestamp be filled
group_idstringidstringitem_idstringitem_namestringitem_typestringremove_category_namesstring[]remove_collection_namesstring[]remove_tag_namesstring[]to_amount_cents_with_taxinteger | nullto_market_idstringto_market_statusstringto_on_saleboolean | nullto_sale_amount_cents_with_taxinteger | nullto_start_sale_timestampstringto_statusstring | nullto_stop_sale_timestampstringto_store_group_idstringstatusstringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslationsShow propertiesHide properties
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullthird_party_sign_upbooleanupdated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad payload, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
User not found or store group not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired